com.microfocus.awm.meta.modelextension

## Class ModelPropertyExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.PreDefinedModelExtensionObject
    - - com.microfocus.awm.meta.modelextension.ModelPropertyExtension

-     public class ModelPropertyExtension
      extends PreDefinedModelExtensionObject

  Parsed `modelProperty` extension element. Model properties are predefined function package properties which can create normal AWM model properties.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelPropertyExtension(java.lang.String pId, java.lang.String pLabel, FunctionPackageExtension pFunctionPackage, ETypes pPropertyType, ESpecialProperties pSpecialProperty, java.lang.String pDefaultValue, java.lang.String pBooleanTrueValue, java.lang.String pBooleanFalseValue, java.lang.String[] pValueKeys, java.lang.String[] pLabelKeys)` Creates a new model property extension.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultValue()` Gets the default value attribute for the property.
    `java.lang.String` | `getFalseValue()` Gets the `false` value of the property.
    `java.lang.String[]` | `getLabelKeys()` Gets the label keys of the property.
    `org.eclipse.emf.ecore.EClass` | `getPreDefinedClass()` Gets the `EClass` that this model extension pre-defines.
    `ESpecialProperties` | `getSpecialProperty()` Gets `ESpecialProperties` attribute of the property.
    `java.lang.String` | `getTrueValue()` Gets the `true` value of the property.
    `ETypes` | `getType()` Gets the type of the property.
    `java.lang.String[]` | `getValueKeys()` Gets the value keys of the property.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelPropertyExtension

          public ModelPropertyExtension(java.lang.String pId,
                                        java.lang.String pLabel,
                                        FunctionPackageExtension pFunctionPackage,
                                        ETypes pPropertyType,
                                        ESpecialProperties pSpecialProperty,
                                        java.lang.String pDefaultValue,
                                        java.lang.String pBooleanTrueValue,
                                        java.lang.String pBooleanFalseValue,
                                        java.lang.String[] pValueKeys,
                                        java.lang.String[] pLabelKeys)

      Creates a new model property extension.
      Parameters:
        `pId` - the ID of the model property
        `pLabel` - the model property label
        `pFunctionPackage` - the containing function package
        `pPropertyType` - type of the property
        `pSpecialProperty` - special property
        `pDefaultValue` - the property's default value. Can be `null`.
        `pBooleanTrueValue` - true value. Can be `null`.
        `pBooleanFalseValue` - false value. Can be `null`.
        `pValueKeys` - value keys. Can be `null`.
        `pLabelKeys` - label keys. Can be `null`.

  - ### Method Detail

    - #### getType

          public ETypes getType()

      Gets the type of the property.
      Returns:
        the property type
      See Also:
        `Property.getType()`

    - #### getSpecialProperty

          public ESpecialProperties getSpecialProperty()

      Gets `ESpecialProperties` attribute of the property.
      Returns:
        the specialProperty
      See Also:
        `Property.getSpecialProperty()`

    - #### getTrueValue

          public java.lang.String getTrueValue()

      Gets the `true` value of the property. Only relevant, if the property type is `ETypes.BOOLEAN`.
      Returns:
        the boolean `true` value. Can be `null` if not explicitly set.
      See Also:
        `Property.getTrueValue()`

    - #### getFalseValue

          public java.lang.String getFalseValue()

      Gets the `false` value of the property. Only relevant, if the property type is `ETypes.BOOLEAN`.
      Returns:
        the boolean `false` value. Can be `null` if not explicitly set.
      See Also:
        `Property.getFalseValue()`

    - #### getValueKeys

          public java.lang.String[] getValueKeys()

      Gets the value keys of the property. Only relevant if the property type is `ETypes.SELECT_VALUE`.
      Returns:
        the value keys. Can be `null` if not explicitly set.
      See Also:
        `Property.getValueKeys()`

    - #### getLabelKeys

          public java.lang.String[] getLabelKeys()

      Gets the label keys of the property. Only relevant if the property type is `ETypes.SELECT_VALUE`.
      Returns:
        the label keys. Can be `null` if not explicitly set.
      See Also:
        `Property.getLabelKeys()`

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets the default value attribute for the property.
      Returns:
        the default value. Can be `null`.
      See Also:
        `Property.getDefaultValue()`

    - #### getPreDefinedClass

          public org.eclipse.emf.ecore.EClass getPreDefinedClass()

      Description copied from class: `PreDefinedModelExtensionObject`
      Gets the `EClass` that this model extension pre-defines.
      Specified by:
        `getPreDefinedClass` in class `PreDefinedModelExtensionObject`
      Returns:
        the `EClass` of the pre-defined object

Copyright © 2015 Micro Focus GmbH. All rights reserved.